package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;

public class CField {

    private CModifiers CModifiers;
    private CType CType;

    private CVarInitializer CVarInitializer;
    private CArrayInitializer CArrayInitializer;
    private CStmt CStmt;


    private String doccomment;
    private String name;
    private String id;

    private String line;
    private String col;
    private String endLine;
    private String endCol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;

    public CField()
    {
        CModifiers = null;
        CType = null;

        CVarInitializer = null;
        CArrayInitializer = null;
        CStmt = null;

        this.name = null;
        this.id = null;

        line = null;
        col = null;
        endLine = null;
        endCol = null;
        commentToken = null;
        startToken = null;
        endToken = null;
        idkind = null;
        doccomment = null;

    }


    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndCol() {
        return endCol;
    }

    public void setEndCol(String endcol) {
        this.endCol = endcol;
    }



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }



    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }



    public String getEndLine() {
        return endLine;
    }

    public void setEndLine(String endLine) {
        this.endLine = endLine;
    }

    public CArrayInitializer getCArrayInitializer() {
        return CArrayInitializer;
    }

    public void setCArrayInitializer(CArrayInitializer CArrayInitializer) {
        this.CArrayInitializer = CArrayInitializer;
    }

    public CStmt getCStmt() {
        return CStmt;
    }

    public void setCStmt(CStmt CStmt) {
        this.CStmt = CStmt;
    }

    public CModifiers getCModifiers() {
        return CModifiers;
    }

    public void setCModifiers(CModifiers CModifiers) {
        this.CModifiers = CModifiers;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }

    public CVarInitializer getCVarInitializer() {
        return CVarInitializer;
    }

    public void setCVarInitializer(CVarInitializer CVarInitializer) {
        this.CVarInitializer = CVarInitializer;
    }

    public String getDoccomment() {
        return doccomment;
    }

    public void setDoccomment(String doccomment) {
        this.doccomment = doccomment;
    }




}
